classification
Title: threading.Lock.locked is not documented
Type: enhancement Stage: resolved
Components: Documentation, Library (Lib) Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ido Michael, docs@python, remi.lapeyre, taleinat
Priority: normal Keywords: newcomer friendly, patch

Created on 2019-08-18 18:36 by remi.lapeyre, last changed 2019-12-01 20:32 by taleinat. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16420 closed Ido Michael, 2019-09-27 19:57
PR 17427 merged Ido Michael, 2019-12-01 19:32
PR 17428 merged miss-islington, 2019-12-01 20:09
PR 17429 merged miss-islington, 2019-12-01 20:10
PR 17430 merged miss-islington, 2019-12-01 20:10
Messages (8)
msg349923 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2019-08-18 18:36
As far as I can tell, it has never been documented. I'm not sure if it is deprecated but it has a docstring so it seems to me, that it just needs documentation in Doc/Library/threading.rst

PS: I don't know how to set the beginner friendly flag.
msg353302 - (view) Author: Ido Michael (Ido Michael) * Date: 2019-09-26 13:48
Hey Remi,

I've fixed it and created PR on the issue.

Ido
msg353303 - (view) Author: Ido Michael (Ido Michael) * Date: 2019-09-26 13:48
P.S PR: https://github.com/python/cpython/pull/16420
msg353396 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-09-27 20:00
For future reference, there's a nicer, more concise way to reference PRs: just type GH-16420 (using the relevant PR number).
msg357573 - (view) Author: Ido Michael (Ido Michael) * Date: 2019-11-27 16:45
Thanks, Tal, I think this one can be closed, I don't think I have permissions to close it
msg357597 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-11-28 05:26
Ido, I don't see why this should be closed. The suggestion is good and the PR is good. I'm only waiting for the CLA signing to be worked through to merge the PR.
msg357690 - (view) Author: Ido Michael (Ido Michael) * Date: 2019-12-01 19:38
Hey Tal, created a new PR: GH-17427
Also fixed the signed CLA issue
msg357693 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-12-01 20:32
Thanks for the report Rémi and for the PR Ido!
History
Date User Action Args
2019-12-01 20:32:39taleinatsetstatus: open -> closed
resolution: fixed
messages: + msg357693

stage: patch review -> resolved
2019-12-01 20:10:18miss-islingtonsetpull_requests: + pull_request16909
2019-12-01 20:10:11miss-islingtonsetpull_requests: + pull_request16908
2019-12-01 20:09:59miss-islingtonsetpull_requests: + pull_request16907
2019-12-01 19:38:52Ido Michaelsetmessages: + msg357690
2019-12-01 19:32:13Ido Michaelsetpull_requests: + pull_request16906
2019-11-28 05:26:42taleinatsetmessages: + msg357597
2019-11-27 16:45:30Ido Michaelsetmessages: + msg357573
2019-09-27 20:19:48taleinatsetversions: + Python 2.7
2019-09-27 20:18:46taleinatsetmessages: - msg353402
2019-09-27 20:13:19taleinatsetmessages: + msg353402
2019-09-27 20:00:04taleinatsetnosy: + taleinat
messages: + msg353396
2019-09-27 19:57:18Ido Michaelsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16017
2019-09-26 13:48:32Ido Michaelsetmessages: + msg353303
2019-09-26 13:48:19Ido Michaelsetnosy: + Ido Michael
messages: + msg353302
2019-08-20 00:15:35pablogsalsetkeywords: + newcomer friendly
2019-08-18 18:36:18remi.lapeyrecreate